<hibernate-configuration>
    <session-factory>
        <property name="hibernate.show_sql">true</property>
        <!-- Regarde les annotations et va créer les tables-->
        <property name="hibernate.hbm2ddl.auto">create</property>
        <property name="hibernate.connection.driver_class">
            org.sqlite.JDBC
        </property>
        <property name="hibernate.connection.url">jdbc:sqlite:voyages.sqlite</property>
        <!--
        En cas de base client/serveur
        <property name="hibernate.connection.username">??</property>
        <property name="hibernate.connection.password">??</property>
        -->
        <property name="hibernate.dialect">org.sqlite.hibernate.dialect.SQLiteDialect</property>
        <!-- Sert a chercher les annotations dans une classe, il faut en faire autant que de classes
             avec des annotations-->
        <mapping class="fr.ldnr.kevin.mavenproject2hib.Destination"/>
        <mapping class="fr.ldnr.kevin.mavenproject2hib.Attraction"/>
        <mapping class="fr.ldnr.kevin.mavenproject2hib.Voyage"/>	
    </session-factory>
</hibernate-configuration>
